#include "X3D_X3DBoundedObject.h"

namespace X3DTK {
namespace X3D {

X3DBoundedObject::X3DBoundedObject()
: X3DObject(), _bboxCenter(SFVec3f(0.0f, 0.0f, 0.0f)), _bboxSize(SFVec3f(-1.0f, -1.0f, -1.0f))
{
}

X3DBoundedObject::X3DBoundedObject(const SFVec3f &bboxCenter, const SFVec3f &bboxSize)
: X3DObject(), _bboxCenter(bboxCenter), _bboxSize(bboxSize)
{
}

X3DBoundedObject::X3DBoundedObject(const X3DBoundedObject &N)
: X3DObject(N), _bboxCenter(N._bboxCenter), _bboxSize(N._bboxSize)
{
}

X3DBoundedObject::~X3DBoundedObject()
{
}

void X3DBoundedObject::setBBoxCenter(const SFVec3f &bboxCenter)
{
  _bboxCenter = bboxCenter;
}

void X3DBoundedObject::setBBoxSize(const SFVec3f &bboxSize)
{
  _bboxSize = bboxSize;
}

}
}
