#include "X3D_Inline.h"

namespace X3DTK {
namespace X3D {

Inline::Inline()
: X3DChildNode(), X3DBoundedObject()
{
  define(Recorder<Inline>::getTypeName("Inline", "Networking"));
  
  define(Recorder<Inline, MFString>::getAttribute("url", &Inline::_url, MFString()));
  define(Recorder<Inline, SFBool>::getAttribute("load", &Inline::_load, true));
}

Inline::~Inline()
{
}

void Inline::setLoad(const SFBool &load)
{
  _load = load;
}

void Inline::setUrl(const MFString &url)
{
  _url = url;
}

}
}
