#include "X3D_Sphere.h"

namespace X3DTK {
namespace X3D {

Sphere::Sphere()
: X3DGeometryNode()
{
  define(Recorder<Sphere>::getTypeName("Sphere", "Geometry3D"));
  
  define(Recorder<Sphere, SFFloat>::getAttribute("radius", &Sphere::_radius, 1.0f));
}

Sphere::~Sphere()
{
}

void Sphere::setRadius(const SFFloat &radius)
{
  _radius = radius;
}

}
}

