#include "X3D_ColorInterpolator.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

ColorInterpolator::ColorInterpolator()
: X3DInterpolatorNode()
{
  define(Recorder<ColorInterpolator>::getTypeName("ColorInterpolator", "Interpolation"));
  
  define(Recorder<ColorInterpolator, MFColor> ::getAttribute("keyValue", &ColorInterpolator::_keyValue, MFColor()));
}

ColorInterpolator::~ColorInterpolator()
{
}

void ColorInterpolator::setKeyValue(const MFColor &keyValue)
{
  _keyValue = keyValue;
}

}
}
